Skip to main content
Monitoring & Collection/Monitoring Misc

GetIsolationViolationLog

Retrieve the isolation violation log for a specific tenant

GET/api/v1/monitoring/isolation/violations/{tenantId}

Operation ID

GetIsolationViolationLog

Since

1.0.0

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

Path Parameters

  • tenantId
    StringRequired

    Tenant ID to retrieve violation log entries for

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • items
    List

    Collection of result items

    Example: (nested array)

    • tenantId
      String

      Tenant that committed the violation

      Example: tenant-002-abc

    • query
      String

      Query that violated isolation policy

      Example: cpu_usage_percent{tenant_id="tenant-001"}

    • reason
      String

      Reason the query was considered a violation

      Example: query targets a different tenant's data

    • detectedAt
      String

      Detected at

      Example: 2026-01-15T08:00:00Z

    • blocked
      Boolean

      Whether this violation was blocked or only logged

      Example: true